org.eclipse.wst.jsdt.chromium

## Interface UpdatableScript.UpdateCallback

Enclosing interface:
  UpdatableScript

    public static interface UpdatableScript.UpdateCallback

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `failure(java.lang.String message, UpdatableScript.Failure details)`
`void` `success(boolean resumed, java.lang.Object report, UpdatableScript.ChangeDescription changeDescription)` Script text change has succeeded or was successfully pre-calculated (in preview mode).

### Method Detail

#### success

    void success(boolean resumed,
                 java.lang.Object report,
                 UpdatableScript.ChangeDescription changeDescription)

Script text change has succeeded or was successfully pre-calculated (in preview mode). `DebugEventListener.scriptContentChanged(org.eclipse.wst.jsdt.chromium.Script)` will be called additionally. Besides, a current context may be dismissed and recreated after this event. The order of all listed event notifications is not currently specified.

Parameters:
  `resumed` - true if VM has been resumed to make post-change technical step
  `report` - unspecified implementation-dependent report for debugging purposes; may be null
  `changeDescription` - describes live editing change that has been applied or is planned to be applied; may be null if backend or VM does not support

#### failure

    void failure(java.lang.String message,
                 UpdatableScript.Failure details)